Subject: bug#22975: 25.0.92; CANNOT_DUMP build can't start in tty mode

From: Ken Raeburn <[email-masked]>
Date: Fri, 11 Mar 2016 06:17:45 -0500

It appears that Emacs tries to display the “Using load-path …” message, calls echo_area_display, display_echo_area, with_echo_area_buffer, display_echo_area_1, resize_mini_window, and grow_mini_window, which then uses
  call3 (Qwindow_resize_root_window_vertically, …)
but since we haven’t loaded window.el yet, there’s no function definition and we raise a signal, quitting out of loadup and trying to display a message.

As to why normal temacs doesn’t show the problem: The load path displayed for a normal temacs contains one directory, but for a CANNOT_DUMP emacs it contains several; in my tests, resize_mini_window computed the height needed as one line for the former and six lines for the latter, so only in the latter case did grow_mini_window need to get called.

If I mess around with installation prefix length, window size, and font size, I can get the CANNOT_DUMP emacs to start properly (but with unreadably tiny characters); and if I make my terminal window quite narrow, I can get a normal temacs to get into some kind of error loop (not the same failure mode but probably a similar root cause). So it’s not just the CANNOT_DUMP setting that’s causing the problem.

Ken